## taglib-extras 0.1.2

=== CMakeLists.txt ===
project(taglib-extras)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

#add some KDE specific stuff
set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(EXEC_INSTALL_PREFIX  ${CMAKE_INSTALL_PREFIX}       CACHE PATH  "Base directory for executables and libraries" FORCE)
#
## the following are directories where stuff will be installed to
set(BIN_INSTALL_DIR          "${EXEC_INSTALL_PREFIX}/bin"    CACHE PATH "The subdirectory to the binaries prefix (default prefix/bin)" FORCE)
set(LIB_INSTALL_DIR          "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}"     CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)
set(INCLUDE_INSTALL_DIR      "${CMAKE_INSTALL_PREFIX}/include"             CACHE PATH "The subdirectory to the header prefix" FORCE)

if (CMAKE_COMPILER_IS_GNUCXX)
   if (CMAKE_SYSTEM_NAME MATCHES Linux)
     set ( CMAKE_C_FLAGS     "${CMAKE_C_FLAGS} -Wno-long-long -ansi -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common")
     set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -fno-check-new -fno-common")
   endif (CMAKE_SYSTEM_NAME MATCHES Linux)
endif (CMAKE_COMPILER_IS_GNUCXX)
if(MSVC)
  add_definitions( -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE )
endif(MSVC)
if (WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
endif (WIN32)

set(TAGLIB-EXTRAS_LIB_MAJOR_VERSION "0")
set(TAGLIB-EXTRAS_LIB_MINOR_VERSION "1")
set(TAGLIB-EXTRAS_LIB_PATCH_VERSION "0")

set(TAGLIB-EXTRAS_LIB_VERSION_STRING "${TAGLIB-EXTRAS_LIB_MAJOR_VERSION}.${TAGLIB-EXTRAS_LIB_MINOR_VERSION}.${TAGLIB-EXTRAS_LIB_PATCH_VERSION}")

set( CMAKE_MODULE_PATH    ${CMAKE_MODULE_PATH}
                          ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

set(TAGLIB_MIN_VERSION "1.5")
find_package(Taglib REQUIRED)
include_directories(${TAGLIB_INCLUDES})

option(WITH_KDE "Enable KDE4 integration" OFF)
# Setup KDE4 support
if(WITH_KDE)
    find_package(KDE4)
    if(KDE4_FOUND)
        message(STATUS "Enabling KDE4 integration")
             include_directories(${KDE4_INCLUDES})
             add_definitions(-DHAVE_KDE ${KDE4_DEFINITIONS})
             set(HAVE_KDE 1)
             set(KDE_LIBRARIES ${KDE4_KDECORE_LIBS})
    else(KDE4_FOUND)
        message(STATUS "KDE4 not found, disabling KDE integration")
    endif(KDE4_FOUND)
else(WITH_KDE)
    message(STATUS "Disabling KDE4 integration")
endif(WITH_KDE)

if(NOT WIN32)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras-config.cmake ${CMAKE_CURRENT_BINARY_DIR}/taglib-extras-config )
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/taglib-extras.pc )
endif(NOT WIN32)

include(CheckTypeSize)

check_type_size("int" SIZEOF_INT)
check_type_size("long" SIZEOF_LONG)

include(CheckIncludeFile)

check_include_file("stdint.h" HAVE_STDINT_H)
check_include_file("strings.h" HAVE_STRINGS_H)
check_include_file("unistd.h" HAVE_UNISTD_H)

configure_file(config-taglib-extras.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/taglib-extras/config-taglib-extras.h )

ADD_SUBDIRECTORY( taglib-extras ) 

if(NOT WIN32)
    install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/taglib-extras.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig )
    install( PROGRAMS  ${CMAKE_CURRENT_BINARY_DIR}/taglib-extras-config DESTINATION ${BIN_INSTALL_DIR})
endif(NOT WIN32)

## taglib-extras 1.0.1

=== cmake/CMakeLists.txt ===
add_subdirectory( modules )

=== taglib-extras/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/audible
    ${CMAKE_CURRENT_SOURCE_DIR}/rmff
)

add_definitions(${TAGLIB_CFLAGS})

add_subdirectory( audible )
add_subdirectory( rmff )

set(libtagrealmedia_SRCS
	rmff/rmff.cpp
	rmff/realmediafile.cpp
	rmff/realmediafiletyperesolver.cpp
)

set(libtagaudible_SRCS
	audible/audibleproperties.cpp
	audible/audibletag.cpp
	audible/audiblefile.cpp
	audible/audiblefiletyperesolver.cpp
	)


########### next target ###############

set(tag-extras_LIB_SRCS
        tfile_helper.cpp
        ${libtagaudible_SRCS}
        ${libtagrealmedia_SRCS}
)

add_library(tag-extras SHARED ${tag-extras_LIB_SRCS})

set_target_properties(tag-extras PROPERTIES
        VERSION ${TAGLIB-EXTRAS_LIB_MAJOR_VERSION}.${TAGLIB-EXTRAS_LIB_MINOR_VERSION}.${TAGLIB-EXTRAS_LIB_PATCH_VERSION}
        SOVERSION ${TAGLIB-EXTRAS_LIB_MAJOR_VERSION}
        INSTALL_NAME_DIR ${LIB_INSTALL_DIR}
        DEFINE_SYMBOL MAKE_TAGLIB_EXTRAS_LIB
)

target_link_libraries(tag-extras ${TAGLIB_LIBRARIES} ${KDE_LIBRARIES})
if(WIN32)
   target_link_libraries(tag-extras ws2_32)
endif(WIN32)

########### install files ###############
install(TARGETS tag-extras
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
    ARCHIVE DESTINATION  ${LIB_INSTALL_DIR}
)

install( FILES  taglib-extras_export.h tfile_helper.h DESTINATION ${INCLUDE_INSTALL_DIR}/taglib-extras)

=== taglib-extras/rmff/CMakeLists.txt ===
INSTALL( FILES  realmediafiletyperesolver.h realmediafile.h DESTINATION ${INCLUDE_INSTALL_DIR}/taglib-extras )

=== debian/changelog ===
taglib-extras (1.0.1-5) unstable; urgency=high

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake, libtag1-dev and
      pkg-kde-tools.

  [ Boyuan Yang ]
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Add missing build-dep zlib1g-dev. (Closes: #997285)

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Oct 2021 17:16:43 -0400

taglib-extras (1.0.1-4) unstable; urgency=medium

  * Take over package maintenance with ITS process.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v12.
    + Update Vcs-* fields to use git packaging repo under Salsa
      multimedia-team group.
    + Update package description with respect to supported media
      formats. (Closes: #613150)
  * debian/README.source: Dropped, useless now.
  * debian/watch: Monitor download.kde.org upstream.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Apr 2020 16:28:30 -0400

taglib-extras (1.0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with taglib >= 1.10, patch from Stuart Prescott (Closes:
    #840329)

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 04 Nov 2016 22:47:26 +0500

taglib-extras (1.0.1-3) unstable; urgency=low

  * Remove DMUA field from debian/control. I'm a DD now.
  * Git repository moved to my new DD account on alioth. Change Vcs fields in
    debian/control accordingly.
  * Change my maintainer address to @debian.org one.
  * Bump Standards-Version to 3.9.1: no changes needed.
  * Switch to 3.0 (quilt) source package format.
  * Drop topgit support from debian/rules.
  * Support parallel building: pass --parallel to dh.

 -- Modestas Vainius <modax@debian.org>  Sun, 14 Nov 2010 17:59:00 +0200

taglib-extras (1.0.1-2) unstable; urgency=medium

  * Build depend on taglib 1.6.
  * Urgency medium, fixes FTBFSes on mips and sparc.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 30 Sep 2009 18:38:40 +0300

taglib-extras (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Fix download URL in debian/copyright.
  * Add debian/watch.
  * Update debian/libtag-extras1.symbols: new symbols exported.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 22 Sep 2009 01:00:14 +0300

taglib-extras (1.0.0-2) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 21 Sep 2009 22:47:12 +0300

taglib-extras (1.0.0-1) experimental; urgency=low

  * New upstream release.
  * libtag-extras soname was bumped:
    - rename libtag-extras0 package to libtag-extras1;
    - update install files;
    - update symbols file.
  * Bump Standards-Version to 3.8.3: no changes needed.
  * Update debian/copyright.
  * Switch packaging license to LGPL-2.1+.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 17 Sep 2009 22:55:58 +0300

taglib-extras (0.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 03 Aug 2009 10:19:42 +0300

taglib-extras (0.1.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.2. No changes needed.
  * Update README.source.
  * Make use of debhelper 7.3 cmake support:
    - build depend on debhelper 7.3;
    - drop debian/debhelper/cmake.mk;
    - simplify debian/rules.
  * Switch to dpkg-dev 1.15.3 compatible symbol file format:
    - build depend on dpkg-dev 1.15.3;
    - debian/rules: no longer use pkgkde-symbolshelper.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 25 Jul 2009 12:43:59 +0300

taglib-extras (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 12 Jun 2009 21:33:13 +0300

taglib-extras (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Update libtag-extras0 symbols file.
  * Use current version for shlibs bumping of libtag-extras0.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 02 May 2009 20:40:12 +0300

taglib-extras (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Upstream fixed licensing issues, the library is LGPL-2.1 now.
    Update debian/copyright.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 07 Apr 2009 09:48:16 +0300

taglib-extras (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #521625).

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 29 Mar 2009 05:45:12 +0300

=== debian/control ===
Source: taglib-extras
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 libtag1-dev,
 pkg-kde-tools,
 zlib1g-dev,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/taglib-extras.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/taglib-extras

Package: libtag-extras-dev
Section: libdevel
Architecture: any
Depends:
 libtag-extras1 (= ${binary:Version}),
 ${misc:Depends},
 ${sameVersionDep:libtag1-dev},
Description: TagLib extras library - development files
 This package contains development files needed to build applications using
 TagLib extras library. This library implements reading and editing tags of a
 couple extra media file formats which are not supported by the core TagLib
 Audio Meta-Data Library (taglib). Currently supported file formats are
 Audible and RealMedia.

Package: libtag-extras1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: TagLib extras library - support for more file formats
 This package contains a library which implements reading and editing tags of a
 couple extra media file formats which are not supported by the core TagLib
 Audio Meta-Data Library (taglib). Currently supported file formats are
 Audible and RealMedia.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps
	dh_sameversiondep

%:
	dh $@

=== debian/watch ===
version=3

https://download.kde.org/stable/taglib-extras/1.0.1/src/taglib-extras-(.*).tar.gz
